# Log

The last log events are kept in memory and are accessible via the `/api/v3/log` endpoint. You can either retrieve the log lines in the format the Core is writing them to the console (`?format=console`) or in raw format (`?format=raw`). By default they are returned in "console" format.

You can define the number of last log lines kept in memory by either setting an appropriate value in the config (`log.max_lines`) or via an enviroment variable (`CORE_LOG_MAX_LINES`).

## Read

Example:

{% tabs %}
{% tab title="Curl" %}

```bash
curl http://127.0.0.1:8080/api/v3/log \
   -H 'accept: application/json' \
   -H 'Content-Type: application/json' \
   -X GET
```

{% endtab %}

{% tab title="PyClient" %}

```python
from core_client import Client

client = Client(base_url="http://127.0.0.1:8080")
client.login()

core_log = client.v3_log_get(
    format="console"
)
print(core_log)
```

{% endtab %}

{% tab title="GoClient" %}
The GoClient always returns the logs in "raw" format.

```go
import (
    "fmt"
    "github.com/datarhei/core-client-go/v16"
)

client, _ := coreclient.New(coreclient.Config{
    Address: "https://127.0.0.1:8080",
})

events, err := client.Log()

for _, e := range events {
    fmt.Printf("%+v\n", e)
}
```

{% endtab %}
{% endtabs %}

Description:

{% openapi src="/files/AUmcih4nC1IX6QuhfO8m" path="/api/v3/log" method="get" %}
[doc.json](https://951110271-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FAQRvnKSkK1SsZB0HeYhh%2Fuploads%2F3duUHhkhwH69BGLlHYga%2Fdoc.json?alt=media\&token=dcd2b063-c826-4652-9a98-c265ec41a469)
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.datarhei.com/core/api/log.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
